Page MenuHomePhabricator

Change bundling system to allow individual treatment
Closed, ResolvedPublic

Description

It should be possible to mark as read or moderate individual notifications within a bundle.

Event Timeline

Jdforrester-WMF raised the priority of this task from to Normal.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptDec 3 2015, 12:27 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Legoktm renamed this task from Provide the new bundling system replacing the existing hacky one to Echo: Provide the new bundling system replacing the existing hacky one.Dec 3 2015, 12:30 AM
Legoktm set Security to None.
Catrope assigned this task to SBisson.Apr 12 2016, 10:25 PM
Catrope added a subscriber: Catrope.

Assigning to Stephane as this is essentially what he's been doing.

Catrope renamed this task from Echo: Provide the new bundling system replacing the existing hacky one to Change bundling system to allow individual treatment.Apr 12 2016, 10:26 PM
Catrope updated the task description. (Show Details)

Change 275049 had a related patch set uploaded (by Sbisson):
[WIP] Moderate notifications

https://gerrit.wikimedia.org/r/275049

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 3:22 PM

This will be deployed according to the same schedule as T123018#2394112.

Change 275049 merged by jenkins-bot:
Dynamic bundles

https://gerrit.wikimedia.org/r/275049

Checked in betalabs.
According to Bundling and re-sort deployment plan,
the following types of notifications should be bundled:

Page-linked
Flow-new-topic
Flowusertalk-new-topic
Flow-post-reply
Flowusertalk-post-reply
Edit-thank, flow-thank (if they are ready in time)

The following screenshots show:
Bundled Alerts

Flowusertalk-new-topic
Flowusertalk-post-reply

Bundled Messages

Page-linked
Flow-new-topic
Flow-post-reply
Edit-thank, flow-thank (if they are ready in time)

The same user's notifications as in the examples in the previous comment, but viewing as cross-wiki notifications:


jmatazzoni closed this task as Resolved.Jul 5 2016, 6:43 PM